package com.mycompany.commerce.mycomponent.beans;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2014
 *
 * The mock class would ideally be an existing custom EJB, 
 * but for the purpose of simplifying the tutorial,
 * we're doing direct JDBC.
 *-----------------------------------------------------------------
 */

import java.sql.Timestamp;
import java.util.List;

import javax.ejb.ObjectNotFoundException;

import com.ibm.commerce.base.objects.ServerJDBCHelperAccessBean;
import com.ibm.commerce.beans.SmartDataBeanImpl;
import com.ibm.commerce.command.CommandContext;


public class MyResourceDataBean extends SmartDataBeanImpl {

	private static final String QUERY = "SELECT FIELD1, FIELD2 FROM XMYRES WHERE XMYRES_ID=? AND STOREENT_ID=? AND MEMBER_ID=?";


	
	private Long myResourceId;
	private String field1;
	private Timestamp field2;

	/**
	 * Returns my resource ID.
	 * 
	 * @return My resource ID.
	 */
	public Long getMyResourceId() {
		return myResourceId;
	}

	/**
	 * Sets my resource ID.
	 * 
	 * @param myResourceId
	 *            My resource ID.
	 */
	public void setMyResourceId(Long myResourceId) {
		this.myResourceId = myResourceId;
	}

	/**
	 * Returns field 1.
	 * 
	 * @return Field 1.
	 */
	public String getField1() {
		return field1;
	}

	/**
	 * Returns field 2.
	 * 
	 * @return field 2.
	 */
	public Timestamp getField2() {
		return field2;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.ibm.commerce.beans.SmartDataBeanImpl#populate()
	 */
	@Override
	public void populate() throws Exception {

		super.populate();

		CommandContext commandContext = getCommandContext();
		Integer storeId = commandContext.getStoreId();
		Long userId = commandContext.getUserId();

		List<List> resultList = new ServerJDBCHelperAccessBean()
				.executeParameterizedQuery(QUERY, new Object[] { myResourceId,
						storeId, userId });
 
		if (resultList.size() != 1) {
			throw new ObjectNotFoundException();
		}

		field1 = (String) resultList.get(0).get(0);
		field2 = (Timestamp) resultList.get(0).get(1);

	}
	
	

}
