package com.mycompany.commerce.mycomponent.beans;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2014
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import java.util.List;

import com.ibm.commerce.base.objects.ServerJDBCHelperAccessBean;
import com.ibm.commerce.beans.SmartDataBeanImpl;
import com.ibm.commerce.command.CommandContext;

public class MyResourceListDataBean extends SmartDataBeanImpl {

	private static final String QUERY = "SELECT XMYRES_ID FROM XMYRES WHERE STOREENT_ID=? AND MEMBER_ID=?";

	private MyResourceDataBean[] myResourceDataBeans = null;

	/**
	 * Returns my resource data beans.
	 * 
	 * @return My resource data beans.
	 */
	public MyResourceDataBean[] getMyResourceDataBeans() {
		return myResourceDataBeans;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.ibm.commerce.beans.SmartDataBeanImpl#populate()
	 */
	@Override
	public void populate() throws Exception {

		super.populate();

		CommandContext commandContext = getCommandContext();
		Integer storeId = commandContext.getStoreId();
		Long userId = commandContext.getUserId();

		List<List> resultList = new ServerJDBCHelperAccessBean()
				.executeParameterizedQuery(QUERY, new Object[] { storeId,
						userId });

		myResourceDataBeans = new MyResourceDataBean[resultList.size()];
		for (int i = 0; i < resultList.size(); i++) {
			Long myResourceId = (Long) resultList.get(i).get(0);
			MyResourceDataBean myResourceDataBean = new MyResourceDataBean();
			myResourceDataBean.setCommandContext(commandContext);
			myResourceDataBean.setMyResourceId(myResourceId);
			myResourceDataBean.populate();
			myResourceDataBeans[i] = myResourceDataBean;
		}

	}

}
